"Algunas bibliotecas de Kotlin conectadas a este proyecto tienen un formatting no compatible. Actualice las bibliotecas o el complemento"

He instalado el complemento de kotlin en mi proyecto de estudio de Android. El código cumple con un problema. También se ejecuta cuando lo llamo desde una class java. Me está dando la advertencia "Algunas bibliotecas de Kotlin conectadas a este proyecto tienen un formatting no compatible. Actualice las bibliotecas o el complemento". La function println () tampoco se reconoce en el IDE.

test.kt

fun foo(){ println("ad") } public class iTar{ public fun printAll( vararg a: String ){ for(item in a)println(item) } } 

Build.Gradle

 buildscript { ext.kotlin_version = '0.8.679' repositories { mavenCentral() } dependencies { classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version" } } apply plugin: 'com.android.application' apply plugin: 'kotlin-android' android { compileSdkVersion 20 buildToolsVersion "20.0.0" sourceSets { main.java.srcDirs += 'src/main/kotlin' } packagingOptions { exclude 'META-INF/LGPL2.1' exclude 'META-INF/LICENSE' exclude 'META-INF/NOTICE' } defaultConfig { applicationId "xxxxx" minSdkVersion 14 targetSdkVersion 20 versionCode 1 versionName "1.0" } buildTypes { release { runProguard false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) compile 'org.codehaus.jackson:jackson-mapper-lgpl:1.9.13' compile 'com.j256.ormlite:ormlite-android:4.48' compile 'org.mapsforge:svg-android:0.4.3' compile 'com.android.support:support-v4:20.+' compile "org.jetbrains.kotlin:kotlin-stdlib:$kotlin_version" } repositories { mavenCentral() }